Initialize Checkout With Link
curl --request POST \
--url https://nini.monieswitch.com/checkout/initialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/checkout/initialize"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/checkout/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"checkout": {
"id": "83cec7d1-1e2a-4511-8012-5e9e686733ac",
"code": "Q4q95fvl54C0qxBZ",
"link": "checkout.monieswitch.com/Q4q95fvl54C0qxBZ",
"reference": "BJgC90OjA1xRmV1ZPTfMap78eINXArbkPRcc"
}
}
}{
"status": false,
"message": "Settlement amount is less than the service charge. Kindly confirm your setup or contact support for help"
}Checkout
Initialize Checkout With Link
POST
/
checkout
/
initialize
Initialize Checkout With Link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I